View Issue Details

IDProjectCategoryView StatusLast Update
0030450FPCRTLpublic2017-07-23 10:54
ReporterFr0sTAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSWindowsOS Version
Product Version3.0.0Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0030450: Missing WinApi declarations
DescriptionRTL misses declaration of types PINT_PTR and PUINT_PTR and constant HWND_MESSAGE (= HWND(-3))
TagsNo tags attached.
Fixed in Revision36766
FPCOldBugId
FPCTarget
Attached Files

Activities

Lychee

2016-08-11 13:52

reporter   ~0094095

- Type PINT_PTR can be found inside jwawintype.pas
- Type PUINT_PTR can be found inside jwawintype.pas
- Constant HWND_MESSAGE (= HWND(-3)) can be found inside jwawinuser.pas

Michael Van Canneyt

2017-07-23 10:54

administrator   ~0101862

Added to windows unit, for Delphi compatibility.

Issue History

Date Modified Username Field Change
2016-08-08 15:16 Fr0sT New Issue
2016-08-11 13:52 Lychee Note Added: 0094095
2017-07-23 10:24 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-07-23 10:24 Michael Van Canneyt Status new => assigned
2017-07-23 10:54 Michael Van Canneyt Fixed in Revision => 36766
2017-07-23 10:54 Michael Van Canneyt Note Added: 0101862
2017-07-23 10:54 Michael Van Canneyt Status assigned => resolved
2017-07-23 10:54 Michael Van Canneyt Fixed in Version => 3.1.1
2017-07-23 10:54 Michael Van Canneyt Resolution open => fixed
2017-07-23 10:54 Michael Van Canneyt Target Version => 3.2.0